# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.shortcuts import render
from catalog.forms import ASFSearchForm
from urllib import urlencode
import requests


# Create your views here.
#-------------------------------------------------------------------------------
def login(request):
	"""
	View function for home page of site.
	"""


	# Render the HTML template index.html with the data in the context variable
	return render(request,'login.html',{})
#-------------------------------------------------------------------------------
def map(request):
	"""
	View function for home page of site.
	"""
	form = ASFSearchForm(request.POST)

	# Render the HTML template index.html with the data in the context variable
	return render(request,'map.html',{"searchForm":form})

#-------------------------------------------------------------------------------
def productList(request):
	"""
	View function for home page of site.
	"""
	r2 = dict(request.POST)
	r2.pop('csrfmiddlewaretoken', None)

	url = 'https://api.daac.asf.alaska.edu/services/search/param?'+urlencode(r2, 'utf-8')+"&output=JSON"
	print url


#	response = requests.get(url)
#	json  = response.json()

	return render(request,'productList.html',{}) #"catalog":json[0]})
